<!-- Custom Component for a Subtopic. -->
<!-- @author Yasien Kashef -->
<!-- @version 1.0.0 -->
<template>
  <iframe
    :src="'data/' + this.component.content"
    :width="this.component.dimensions.width"
    :height="this.component.dimensions.height"
    :style="{ margin: this.component.center ? '0 auto' : '0' }"
    frameborder="0"
  ></iframe>
</template>

<script>
export default {
  name: "Custom",
  props: {
    component: Object
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
iframe {
  display: block;
}
</style>